com.google.gwt.user.client.ui

## Interface SuggestionHandler

All Superinterfaces:
  java.util.EventListener

Deprecated.
use `SelectionHandler` instead

    @Deprecated
    public interface SuggestionHandler
    extends java.util.EventListener

Event handler interface for `SuggestionEvent`.

See Also:
  `SuggestBox`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `onSuggestionSelected(SuggestionEvent event)` Deprecated. Fired when a suggestion is selected.

### Method Detail

#### onSuggestionSelected

    void onSuggestionSelected(SuggestionEvent event)

Deprecated.
Fired when a suggestion is selected. Users can select a suggestion from the SuggestBox by clicking on one of the suggestions, or by pressing the ENTER key to select the suggestion that is currently highlighted.

Parameters:
  `event` - the object containing information about this event deprecated use `SelectionHandler.onSelection(com.google.gwt.event.logical.shared.SelectionEvent)` instead